cd /sdcard/install/bin/aitFirmware

PACK_VER=`cat ./fwVer.txt`

ls /dev/video1
if [ $? != 0 ]; then
    echo "camera not found"
    return 255;
elif [[ `./cameraVer 0` != $PACK_VER ]] || [[ `./cameraVer 1` != $PACK_VER ]]; then
	echo "updating module firmware $PACK_VER"
    ./aFlashUpdateTool8589 ./MCR*8589*.bin
    if [ $? != 0 ]; then
        return 255;
    fi

    ./aFlashUpdateTool858a ./MCR*858A*.BIN
    if [ $? != 0 ]; then
        return 255;
    fi
	echo "update successfully" 
else
	echo "latest version"
    return 0
fi

return 1
